## hashrat 1.5

=== debian/changelog ===
hashrat (1.5-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/copyright: dropping dot-zero from GPL license short name.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 22 Jul 2015 13:51:05 -0300

hashrat (1.5-1) experimental; urgency=low

  * Initial release. (Closes: #776499)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 28 Jan 2015 10:32:25 -0200

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@  --with autoreconf

# Disabling the auto_test
override_dh_auto_test:

## hashrat 1.8.3+dfsg

=== Makefile ===

CC = gcc
VERSION = 
CFLAGS = -g -O2
LIBS = 
INSTALL=/bin/install -c
prefix=/usr/local
bindir=$(prefix)${exec_prefix}/bin
FLAGS=$(LDFLAGS) $(CPPFLAGS) $(CFLAGS) -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DSTDC_HEADERS=1 -D_FILE_OFFSET_BITS=64 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DUSE_XATTR=1
OBJ=common.o command-line-args.o ssh.o fingerprint.o files.o filesigning.o xattr.o cgi.o check-hash.o find.o memcached.o
EXE=hashrat

all: hashrat

hashrat: $(OBJ) main.c
	@cd libUseful-2.5; $(MAKE)
	$(CC) $(FLAGS) -o$(EXE) $(OBJ) main.c libUseful-2.5/libUseful-2.5.a $(LIBS) 

common.o: common.h common.c
	$(CC) $(FLAGS) -c common.c

fingerprint.o: fingerprint.h fingerprint.c
	$(CC) $(FLAGS) -c fingerprint.c

files.o: files.h files.c
	$(CC) $(FLAGS) -c files.c

filesigning.o: filesigning.h filesigning.c
	$(CC) $(FLAGS) -c filesigning.c

find.o: find.h find.c
	$(CC) $(FLAGS) -c find.c

check-hash.o: check-hash.h check-hash.c
	$(CC) $(FLAGS) -c check-hash.c

xattr.o: xattr.h xattr.c
	$(CC) $(FLAGS) -c xattr.c

ssh.o: ssh.h ssh.c
	$(CC) $(FLAGS) -c ssh.c

cgi.o: cgi.h cgi.c
	$(CC) $(FLAGS) -c cgi.c

memcached.o: memcached.h memcached.c
	$(CC) $(FLAGS) -c memcached.c

command-line-args.o: command-line-args.h command-line-args.c
	$(CC) $(FLAGS) -c command-line-args.c

check: hashrat
	@./check.sh

clean:
	-rm -f *.o */*.o */*.a */*.so $(EXE)
	-rm -f config.log config.status */config.log */config.status
	-rm -fr autom4te.cache */autom4te.cache

distclean:
	-rm -f *.o */*.o */*.a */*.so $(EXE)
	-rm -f config.log config.status */config.log */config.status Makefile */Makefile
	-rm -fr autom4te.cache */autom4te.cache


install: hashrat
	-mkdir -p $(DESTDIR)$(prefix)/bin
	cp -f $(EXE) $(DESTDIR)$(prefix)/bin
	-mkdir -p $(DESTDIR)$(prefix)/share/man/man1
	cp -f hashrat.1 $(DESTDIR)$(prefix)/share/man/man1

## hashrat 1.6.1

=== debian/changelog ===
hashrat (1.6.1-3) unstable; urgency=medium

  * debian/patches/fix-spelling-manpage: added to fix some issues in manpage.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 13 Sep 2015 19:14:42 -0300

hashrat (1.6.1-2) unstable; urgency=medium

  * debian/rules: disabled the tests (temporarily) to avoid FTBFS in some
      architectures.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 03 Aug 2015 11:24:46 -0300

hashrat (1.6.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/clean: removed.
  * debian/copyright:
      - Updated the Source field in header.
      - Updated all information about libUseful-2.1 directory (previously
        called libUseful-2.0).
  * debian/docs: created to install the README file.
  * debian/manpages: removed. The upstream is using the manpage created for
      Debian. Thanks!
  * debian/patches/:
      - fix-help: updated.
      - fix-manpage-path: created to install the upstream manpage in right
        place.
  * debian/source.lintian-overrides: removed. The upstream fixed the source
      code. Thanks.
  * debian/rules: re-enabled the autotests (removed the override_dh_auto_test
      target). The upstream fixed the code. Thanks.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 23 Jul 2015 22:03:16 -0300

=== debian/control ===
Source: hashrat
Section: utils
Priority: optional
Maintainer: Debian Forensics <forensics-devel@lists.alioth.debian.org>
Uploaders: Joao Eriberto Mota Filho <eriberto@debian.org>
Build-Depends: debhelper (>= 9), dh-autoreconf
Standards-Version: 3.9.6
Homepage: http://www.cjpaget.co.uk/Code/Hashrat
Vcs-Git: git://anonscm.debian.org/forensics/hashrat.git
Vcs-Browser: http://anonscm.debian.org/cgit/forensics/hashrat.git

Package: hashrat
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: hashing tool supporting several hashes and recursivity
 Hashrat is a hash-generation utility that supports the md5, sha1, sha256,
 sha512, whirlpool, jh-244, jh256, jh-384 and jh-512 hash functions, and
 also the HMAC versions of those functions. It can output in 'traditional'
 format (same as md5sum and shasum and the like), or it's own format.
 .
 Hashes can be output in octal, decimal, hexadecimal, uppercase hexadecimal
 or base64.
 .
 Hashrat also supports directory recursion, hashing entire devices,
 generating a hash for an entire directory, operations in remote machines
 and several other features. It has a 'CGI' mode that can be used as a
 web-page to lookup hashes.
 .
 This tool is useful in forensics investigations and network security.

=== debian/rules ===
--- 
+++ 
@@ -6,5 +6,5 @@
 %:
 	dh $@  --with autoreconf
 
-# Disabling the auto_test
+# Disable the tests temporarily.
 override_dh_auto_test:

=== debian/watch ===
version=3
https://sites.google.com/site/columscode/home/hashrat .*/files/hashrat-(\d\S+)\.(?:tgz|tar\.(?:bz2|gz|xz)).*
http://www.cjpaget.co.uk/Code/Hashrat/hashrat-(\d\S+)\.(?:tgz|tar\.(?:bz2|gz|xz))
https://github.com/ColumPaget/Hashrat/releases .*/archive/(\d\S+)\.tar\.(?:bz2|gz|xz)

## hashrat 1.8.0

=== debian/changelog ===
hashrat (1.8.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control:
      - Changed from cgit to git in Vcs-Browser field.
  * debian/watch:
      - Bumped to version 4.
      - Leaving only a repository to avoid conflicting on uscan system.

 -- Giovani Augusto Ferreira <giovani@riseup.net>  Wed, 23 Mar 2016 23:34:15 -0300

hashrat (1.6.1-4) unstable; urgency=medium

  * New co-maintainer. Thanks a lot to Eriberto Mota, the initial
    maintainer of this package.
  * debian/control:
      - Bumped Standards-Version to 3.9.7.
      - Fixed a word in long description.
      - Updated Vcs-* fields.
  * debian/copyright: added my name at debian/* block.

 -- Giovani Augusto Ferreira <giovani@riseup.net>  Sat, 20 Feb 2016 23:55:35 -0300

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: utils
 Priority: optional
 Maintainer: Debian Forensics <forensics-devel@lists.alioth.debian.org>
-Uploaders: Joao Eriberto Mota Filho <eriberto@debian.org>
+Uploaders: Giovani Augusto Ferreira <giovani@riseup.net>
 Build-Depends: debhelper (>= 9), dh-autoreconf
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: http://www.cjpaget.co.uk/Code/Hashrat
-Vcs-Git: git://anonscm.debian.org/forensics/hashrat.git
-Vcs-Browser: http://anonscm.debian.org/cgit/forensics/hashrat.git
+Vcs-Git: https://anonscm.debian.org/git/forensics/hashrat.git
+Vcs-Browser: https://anonscm.debian.org/git/forensics/hashrat.git
 
 Package: hashrat
 Architecture: any

=== debian/watch ===
version=4
https://github.com/ColumPaget/Hashrat/releases .*/archive/(\d\S+)\.tar\.(?:bz2|gz|xz)

## hashrat 1.8.1

=== debian/changelog ===
hashrat (1.8.1-2) unstable; urgency=medium

  * debian/watch:
      -fixed to pick up new versions, previous Debian release
       without adjustment. (Closes: #832141)

 -- Giovani Augusto Ferreira <giovani@riseup.net>  Tue, 26 Jul 2016 07:50:36 -0300

hashrat (1.8.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control:
      - Bumped Standards-Version to 3.9.8.
  * debian/patches/*:
      - updated the version to 1.8.1 in all files.
  * debian/watch:
      - improved to catch new versions starting with the letter 'v'.
        Thanks Samuel Henrique for patch. (Closes: #832141)

 -- Giovani Augusto Ferreira <giovani@riseup.net>  Sat, 23 Jul 2016 23:42:11 -0300

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Forensics <forensics-devel@lists.alioth.debian.org>
 Uploaders: Giovani Augusto Ferreira <giovani@riseup.net>
 Build-Depends: debhelper (>= 9), dh-autoreconf
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: http://www.cjpaget.co.uk/Code/Hashrat
 Vcs-Git: https://anonscm.debian.org/git/forensics/hashrat.git
 Vcs-Browser: https://anonscm.debian.org/git/forensics/hashrat.git

=== debian/watch ===
version=4
https://github.com/ColumPaget/Hashrat/releases .*/archive/v?(\d\S+)\.tar\.(?:bz2|gz|xz)

## hashrat 1.8.3+dfsg

=== debian/changelog ===
hashrat (1.8.3+dfsg-2) unstable; urgency=medium

  * Update DH level to 10.
  * debian/compat: updated to 10.
  * debian/rules: removed the '--with autoreconf' because it is default
    in DH 10.

 -- Giovani Augusto Ferreira <giovani@riseup.net>  Fri, 16 Dec 2016 23:12:24 -0200

hashrat (1.8.3+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Added the 'dfsg' suffix.
  * debian/copyright: updated version from libUseful* files.
  * debian/patches:
      - fix-help and fix-spelling-manpage was merged to fix-spelling.patch.
      - fix-manpage-patch was removed, the Upstream fixed in source code.
  * debian/README.source: created to explain about the dfsg action.
  * debian/watch: added a mangle rule to handle the '+dfsg' suffix.

 -- Giovani Augusto Ferreira <giovani@riseup.net>  Sun, 25 Sep 2016 18:51:56 -0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Forensics <forensics-devel@lists.alioth.debian.org>
 Uploaders: Giovani Augusto Ferreira <giovani@riseup.net>
-Build-Depends: debhelper (>= 9), dh-autoreconf
+Build-Depends: debhelper (>= 10), dh-autoreconf
 Standards-Version: 3.9.8
 Homepage: http://www.cjpaget.co.uk/Code/Hashrat
 Vcs-Git: https://anonscm.debian.org/git/forensics/hashrat.git

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

# Disable the tests temporarily.
override_dh_auto_test:

## hashrat 1.8.7+dfsg

=== debian/changelog ===
hashrat (1.8.7+dfsg-2) unstable; urgency=medium

  * Upload to unstable.
  * Maintained support for filesystem Extended Attributes. (Closes: #835268)

 -- Giovani Augusto Ferreira <giovani@debian.org>  Sun, 02 Jul 2017 16:21:56 -0300

hashrat (1.8.7+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Updated my email address.
  * debian/control:
      - Bumped Standards-Version to 4.0.0.
  * debian/copyright: updated the packaging copyright years.
  * debian/patches/fix-install.patch:
      - Added to improve GCC hardening.
  * debian/rules:
      - Enabled support for filesystem Extended Attributes. (see: #835268)

 -- Giovani Augusto Ferreira <giovani@debian.org>  Sun, 25 Jun 2017 20:31:13 -0300

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: utils
 Priority: optional
 Maintainer: Debian Forensics <forensics-devel@lists.alioth.debian.org>
-Uploaders: Giovani Augusto Ferreira <giovani@riseup.net>
+Uploaders: Giovani Augusto Ferreira <giovani@debian.org>
 Build-Depends: debhelper (>= 10), dh-autoreconf
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://www.cjpaget.co.uk/Code/Hashrat
 Vcs-Git: https://anonscm.debian.org/git/forensics/hashrat.git
 Vcs-Browser: https://anonscm.debian.org/git/forensics/hashrat.git

## hashrat 1.8.11+dfsg

=== debian/changelog ===
hashrat (1.8.11+dfsg-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Giovani Augusto Ferreira <giovani@debian.org>  Fri, 03 Nov 2017 19:56:16 -0200

hashrat (1.8.11+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
      - Bumped Standards-Version to 4.1.1.
  * debian/patches/fix-integer-truncation.patch:
      - Removed, the Upstream fixed in source code.

 -- Giovani Augusto Ferreira <giovani@debian.org>  Wed, 25 Oct 2017 23:09:35 -0200

hashrat (1.8.9+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
      - Bumped Standards-Version to 4.0.1.
      - Dropped dh-autoreconf from Build-Depends, this is deprecated now.
  * debian/patches/fix-integer-truncation.patch:
      - Added to avoid integer truncation on the big files.
        Thanks to Bernhard Übelacker for the patch. (Closes: #863460)

 -- Giovani Augusto Ferreira <giovani@debian.org>  Sun, 03 Sep 2017 16:13:30 -0300

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian Forensics <forensics-devel@lists.alioth.debian.org>
 Uploaders: Giovani Augusto Ferreira <giovani@debian.org>
-Build-Depends: debhelper (>= 10), dh-autoreconf
-Standards-Version: 4.0.0
+Build-Depends: debhelper (>= 10)
+Standards-Version: 4.1.1
 Homepage: http://www.cjpaget.co.uk/Code/Hashrat
 Vcs-Git: https://anonscm.debian.org/git/forensics/hashrat.git
 Vcs-Browser: https://anonscm.debian.org/git/forensics/hashrat.git

## hashrat 1.8.12+dfsg

=== libUseful-2.5/Makefile ===
CC = gcc
VERSION = 0.0.1
CFLAGS = -g -O2
LIBS = -lc 
FLAGS=$(LDFLAGS) $(CPPFLAGS) $(CFLAGS) -fPIC -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DSTDC_HEADERS=1 -D_FILE_OFFSET_BITS=64 -DHAVE_LIBC=1 -DHAVE_PTSNAME_R=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DUSE_SENDFILE=1 -DHAVE_OSS=1 -DHAVE_MADVISE -DHAVE_MADVISE_NOFORK -DHAVE_MADVISE_DONTDUMP -DHAVE_MLOCK
prefix=/usr/local
OBJ=string.o list.o socket.o unix_socket.o file.o tar.o ansi.o FileSystem.o GeneralFunctions.o DataProcessing.o EncryptedFiles.o ConnectManager.o sound.o pty.o Log.o http.o inet.o expect.o base64.o  crc32.o md5c.o sha1.o sha2.o whirlpool.o jh_ref.o Hash.o ssh.o Compression.o oauth.o libsettings.o Vars.o MathExpr.o Time.o Markup.o SpawnPrograms.o Tokenizer.o PatternMatch.o ParseURL.o ConnectionChain.o openssl.o proctitle.o securemem.o


all: $(OBJ)
	$(CC) $(FLAGS) -shared -o libUseful-2.5.so $(OBJ) $(LIBS) 
	#ld -i -o libUseful-2.5.a $(OBJ)
	ar rcs libUseful-2.5.a $(OBJ)


string.o: string.h string.c
	$(CC) $(FLAGS) -c string.c

list.o: list.h list.c
	$(CC) $(FLAGS) -c list.c

socket.o: socket.h socket.c
	$(CC) $(FLAGS) -c socket.c

sound.o: sound.h sound.c
	$(CC) $(FLAGS) -c sound.c

pty.o: pty.h pty.c
	$(CC) $(FLAGS) -c pty.c

http.o: http.h http.c
	$(CC) $(FLAGS) -c http.c

file.o: file.h file.c
	$(CC) $(FLAGS) -c file.c

tar.o: tar.h tar.c
	$(CC) $(FLAGS) -c tar.c

ansi.o: ansi.h ansi.c
	$(CC) $(FLAGS) -c ansi.c

Log.o: Log.h Log.c
	$(CC) $(FLAGS) -c Log.c

unix_socket.o: unix_socket.h unix_socket.c
	$(CC) $(FLAGS) -c unix_socket.c

PatternMatch.o: PatternMatch.h PatternMatch.c
	$(CC) $(FLAGS) -c PatternMatch.c

FileSystem.o: FileSystem.h FileSystem.c
	$(CC) $(FLAGS) -c FileSystem.c

MathExpr.o: MathExpr.h MathExpr.c
	$(CC) $(FLAGS) -c MathExpr.c

Time.o: Time.h Time.c
	$(CC) $(FLAGS) -c Time.c

Tokenizer.o: Tokenizer.h Tokenizer.c
	$(CC) $(FLAGS) -c Tokenizer.c

Markup.o: Markup.h Markup.c
	$(CC) $(FLAGS) -c Markup.c

ParseURL.o: ParseURL.h ParseURL.c
	$(CC) $(FLAGS) -c ParseURL.c

inet.o: inet.h inet.c
	$(CC) $(FLAGS) -c inet.c

expect.o: expect.h expect.c
	$(CC) $(FLAGS) -c expect.c

securemem.o: securemem.h securemem.c
	$(CC) $(FLAGS) -c securemem.c

GeneralFunctions.o: GeneralFunctions.h GeneralFunctions.c
	$(CC) $(FLAGS) -c GeneralFunctions.c

DataProcessing.o: DataProcessing.h DataProcessing.c
	$(CC) $(FLAGS) -c DataProcessing.c

EncryptedFiles.o: EncryptedFiles.h EncryptedFiles.c
	$(CC) $(FLAGS) -c EncryptedFiles.c

Hash.o: Hash.h Hash.c
	$(CC) $(FLAGS) -c Hash.c

ssh.o: ssh.h ssh.c
	$(CC) $(FLAGS) -c ssh.c

Compression.o: Compression.h Compression.c
	$(CC) $(FLAGS) -c Compression.c

ConnectionChain.o: ConnectionChain.h ConnectionChain.c
	$(CC) $(FLAGS) -c ConnectionChain.c

ConnectManager.o: ConnectManager.h ConnectManager.c
	$(CC) $(FLAGS) -c ConnectManager.c

base64.o: base64.c base64.h
	$(CC) $(FLAGS) -c base64.c

crc32.o: crc32.c crc32.h
	$(CC) $(FLAGS) -c crc32.c

md5c.o: md5c.c md5-global.h md5.h
	$(CC) $(FLAGS) -c md5c.c

sha1.o: sha1.c sha1.h
	$(CC) $(FLAGS) -c sha1.c

sha2.o: sha2.c sha2.h
	$(CC) $(FLAGS) -c sha2.c

whirlpool.o: whirlpool.c whirlpool.h
	$(CC) $(FLAGS) -c whirlpool.c

jh_ref.o: jh_ref.c jh_ref.h
	$(CC) $(FLAGS) -c jh_ref.c

oauth.o: oauth.c oauth.h
	$(CC) $(FLAGS) -c oauth.c

openssl.o: openssl.c openssl.h
	$(CC) $(FLAGS) -c openssl.c

proctitle.o: proctitle.c proctitle.h
	$(CC) $(FLAGS) -c proctitle.c

Vars.o: Vars.c Vars.h
	$(CC) $(FLAGS) -c Vars.c

SpawnPrograms.o: SpawnPrograms.c SpawnPrograms.h
	$(CC) $(FLAGS) -c SpawnPrograms.c

#No dependancies, must always be compiled
libsettings.o: libsettings.h libsettings.c
	$(CC) $(FLAGS) -c libsettings.c

clean:
	-rm -f *.o *.so *.a
	-rm config.log config.status 
	-rm -r autom4te.cache config.cache

install:
	@ln -s libUseful-2.5.so libUseful.so
	@ln -s libUseful-2.5.a libUseful.a
	@cp *.so *.a $(prefix)/lib ; mkdir $(prefix)/include/libUseful-$(VERSION) ; cp *.h $(prefix)/include/libUseful-$(VERSION)

=== debian/changelog ===
hashrat (1.8.12+dfsg-1) unstable; urgency=medium

  * New upstream release
  * debian/control:
      - Bumped Standards-Version to 4.1.2.

 -- Giovani Augusto Ferreira <giovani@debian.org>  Wed, 13 Dec 2017 21:43:30 -0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Forensics <forensics-devel@lists.alioth.debian.org>
 Uploaders: Giovani Augusto Ferreira <giovani@debian.org>
 Build-Depends: debhelper (>= 10)
-Standards-Version: 4.1.1
+Standards-Version: 4.1.2
 Homepage: http://www.cjpaget.co.uk/Code/Hashrat
 Vcs-Git: https://anonscm.debian.org/git/forensics/hashrat.git
 Vcs-Browser: https://anonscm.debian.org/git/forensics/hashrat.git

=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg// \
https://github.com/ColumPaget/Hashrat/releases .*/archive/v?(\d\S+)\.tar\.(?:bz2|gz|xz)

## hashrat 1.10.2

=== Makefile ===
--- 
+++ 
@@ -2,25 +2,30 @@
 CC = gcc
 VERSION = 
 CFLAGS = -g -O2
-LIBS = 
+LIBS =  libUseful-3/libUseful.a
 INSTALL=/bin/install -c
 prefix=/usr/local
 bindir=$(prefix)${exec_prefix}/bin
-FLAGS=$(LDFLAGS) $(CPPFLAGS) $(CFLAGS) -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DSTDC_HEADERS=1 -D_FILE_OFFSET_BITS=64 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DUSE_XATTR=1
-OBJ=common.o command-line-args.o ssh.o fingerprint.o files.o filesigning.o xattr.o cgi.o check-hash.o find.o memcached.o
+FLAGS=$(LDFLAGS) $(CPPFLAGS) $(CFLAGS) -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DSTDC_HEADERS=1 -D_FILE_OFFSET_BITS=64
+OBJ=common.o command-line-args.o ssh.o http.o fingerprint.o include-exclude.o files.o filesigning.o xattr.o cgi.o check-hash.o find.o memcached.o
 EXE=hashrat
 
 all: hashrat
 
-hashrat: $(OBJ) main.c
-	@cd libUseful-2.5; $(MAKE)
-	$(CC) $(FLAGS) -o$(EXE) $(OBJ) main.c libUseful-2.5/libUseful-2.5.a $(LIBS) 
+hashrat: $(OBJ) main.c libUseful-3/libUseful.a
+	$(CC) $(FLAGS) -o$(EXE) $(OBJ) main.c $(LIBS) 
+
+libUseful-3/libUseful.a:
+	@cd libUseful-3; $(MAKE)
 
 common.o: common.h common.c
 	$(CC) $(FLAGS) -c common.c
 
 fingerprint.o: fingerprint.h fingerprint.c
 	$(CC) $(FLAGS) -c fingerprint.c
+
+include-exclude.o: include-exclude.h include-exclude.c
+	$(CC) $(FLAGS) -c include-exclude.c
 
 files.o: files.h files.c
 	$(CC) $(FLAGS) -c files.c
@@ -39,6 +44,10 @@
 
 ssh.o: ssh.h ssh.c
 	$(CC) $(FLAGS) -c ssh.c
+
+http.o: http.h http.c
+	$(CC) $(FLAGS) -c http.c
+
 
 cgi.o: cgi.h cgi.c
 	$(CC) $(FLAGS) -c cgi.c

=== libUseful-3/Makefile ===
CC = gcc
VERSION = 3.2
CFLAGS = -g -O2 
LIBS = -lc -lc -lc -lc -lc 
FLAGS=$(LDFLAGS) $(CPPFLAGS) $(CFLAGS) -fPIC -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DSTDC_HEADERS=1 -D_FILE_OFFSET_BITS=64 -DHAVE_LIBC=1 -DHAVE_PTSNAME_R=1 -DHAVE_LIBC=1 -DHAVE_UMOUNT2=1 -DHAVE_LIBC=1 -DHAVE_UMOUNT=1 -DHAVE_LIBC=1 -DHAVE_MKOSTEMP=1 -DHAVE_LIBC=1 -DHAVE_XATTR=1 -DHAVE_MADVISE -DHAVE_MADVISE_NOFORK -DHAVE_MADVISE_DONTDUMP -DHAVE_MLOCK
prefix=/usr/local
OBJ=String.o List.o Socket.o UnixSocket.o Stream.o Errors.o Unicode.o Terminal.o FileSystem.o GeneralFunctions.o DataProcessing.o Pty.o Log.o Http.o Smtp.o inet.o Expect.o base64.o  crc32.o md5c.o sha1.o sha2.o whirlpool.o jh_ref.o Hash.o Ssh.o Compression.o OAuth.o LibSettings.o Vars.o Time.o Markup.o SpawnPrograms.o Tokenizer.o PatternMatch.o URL.o DataParser.o ConnectionChain.o OpenSSL.o Process.o Encodings.o RawData.o SecureMem.o CommandLineParser.o


all: $(OBJ)
	$(CC) $(FLAGS) -shared -o libUseful-$(VERSION).so $(OBJ) $(LIBS) 
	ar rcs libUseful-$(VERSION).a $(OBJ)
	-ln -s libUseful-$(VERSION).so libUseful-3.so &>/dev/null
	-ln -s libUseful-$(VERSION).a libUseful-3.a &>/dev/null
	-ln -s libUseful-$(VERSION).so libUseful.so &>/dev/null
	-ln -s libUseful-$(VERSION).a libUseful.a &>/dev/null


String.o: String.h String.c
	$(CC) $(FLAGS) -c String.c

List.o: List.h List.c
	$(CC) $(FLAGS) -c List.c

Socket.o: Socket.h Socket.c
	$(CC) $(FLAGS) -c Socket.c

Pty.o: Pty.h Pty.c
	$(CC) $(FLAGS) -c Pty.c

Http.o: Http.h Http.c
	$(CC) $(FLAGS) -c Http.c

Smtp.o: Smtp.h Smtp.c
	$(CC) $(FLAGS) -c Smtp.c

Stream.o: Stream.h Stream.c
	$(CC) $(FLAGS) -c Stream.c

Unicode.o: Unicode.c Unicode.h
	$(CC) $(FLAGS) -c Unicode.c

Terminal.o: Terminal.h Terminal.c
	$(CC) $(FLAGS) -c Terminal.c

Errors.o: Errors.h Errors.c
	$(CC) $(FLAGS) -c Errors.c


Log.o: Log.h Log.c
	$(CC) $(FLAGS) -c Log.c

UnixSocket.o: UnixSocket.h UnixSocket.c
	$(CC) $(FLAGS) -c UnixSocket.c

PatternMatch.o: PatternMatch.h PatternMatch.c
	$(CC) $(FLAGS) -c PatternMatch.c

FileSystem.o: FileSystem.h FileSystem.c
	$(CC) $(FLAGS) -c FileSystem.c

Time.o: Time.h Time.c
	$(CC) $(FLAGS) -c Time.c

Tokenizer.o: Tokenizer.h Tokenizer.c
	$(CC) $(FLAGS) -c Tokenizer.c

Markup.o: Markup.h Markup.c
	$(CC) $(FLAGS) -c Markup.c

URL.o: URL.h URL.c
	$(CC) $(FLAGS) -c URL.c

DataParser.o: DataParser.h DataParser.c
	$(CC) $(FLAGS) -c DataParser.c

inet.o: inet.h inet.c
	$(CC) $(FLAGS) -c inet.c

Expect.o: Expect.h Expect.c
	$(CC) $(FLAGS) -c Expect.c

SecureMem.o: SecureMem.h SecureMem.c
	$(CC) $(FLAGS) -c SecureMem.c

GeneralFunctions.o: GeneralFunctions.h GeneralFunctions.c
	$(CC) $(FLAGS) -c GeneralFunctions.c

DataProcessing.o: DataProcessing.h DataProcessing.c
	$(CC) $(FLAGS) -c DataProcessing.c

Hash.o: Hash.h Hash.c
	$(CC) $(FLAGS) -c Hash.c

Ssh.o: Ssh.h Ssh.c
	$(CC) $(FLAGS) -c Ssh.c

Compression.o: Compression.h Compression.c
	$(CC) $(FLAGS) -c Compression.c

ConnectionChain.o: ConnectionChain.h ConnectionChain.c
	$(CC) $(FLAGS) -c ConnectionChain.c

base64.o: base64.c base64.h
	$(CC) $(FLAGS) -c base64.c

crc32.o: crc32.c crc32.h
	$(CC) $(FLAGS) -c crc32.c

md5c.o: md5c.c md5-global.h md5.h
	$(CC) $(FLAGS) -c md5c.c

sha1.o: sha1.c sha1.h
	$(CC) $(FLAGS) -c sha1.c

sha2.o: sha2.c sha2.h
	$(CC) $(FLAGS)  -DSHA2_UNROLL_TRANSFORM -c sha2.c

whirlpool.o: whirlpool.c whirlpool.h
	$(CC) $(FLAGS) -c whirlpool.c

jh_ref.o: jh_ref.c jh_ref.h
	$(CC) $(FLAGS) -c jh_ref.c

OAuth.o: OAuth.c OAuth.h
	$(CC) $(FLAGS) -c OAuth.c

OpenSSL.o: OpenSSL.c OpenSSL.h
	$(CC) $(FLAGS) -c OpenSSL.c

Process.o: Process.c Process.h
	$(CC) $(FLAGS) -c Process.c

Vars.o: Vars.c Vars.h
	$(CC) $(FLAGS) -c Vars.c

SpawnPrograms.o: SpawnPrograms.c SpawnPrograms.h
	$(CC) $(FLAGS) -c SpawnPrograms.c

Encodings.o: Encodings.c Encodings.h
	$(CC) $(FLAGS) -c Encodings.c

RawData.o: RawData.c RawData.h
	$(CC) $(FLAGS) -c RawData.c

CommandLineParser.o: CommandLineParser.c CommandLineParser.h
	$(CC) $(FLAGS) -c CommandLineParser.c


#No dependancies, must always be compiled
LibSettings.o: LibSettings.h LibSettings.c
	$(CC) $(FLAGS) -c LibSettings.c

clean:
	-rm -f *.o *.so *.a
	-rm config.log config.status 
	-rm -r autom4te.cache config.cache

install:
	-mkdir -p $(prefix)/lib; cp *.so *.a $(prefix)/lib  
	-mkdir -p $(prefix)/include/libUseful-$(VERSION)
	cp *.h $(prefix)/include/libUseful-$(VERSION)
	-mkdir -p $(prefix)/include/libUseful-3
	cp *.h $(prefix)/include/libUseful-3

=== debian/changelog ===
hashrat (1.10.2-2) unstable; urgency=medium

  * debian/patches/003-fix-Makefile-bug.patch:
      - added to fix a FTBFS. (Closes: #917798) Thanks to
      Santiago Vila <sanvila@debian.org> for de patch.

 -- Giovani Augusto Ferreira <giovani@debian.org>  Fri, 04 Jan 2019 11:36:11 -0200

hashrat (1.10.2-1) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.

  [ Giovani Augusto Ferreira ]
  * New upstream version 1.10.2
  * Bumped Standards-Version to 4.3.0
  * Rewrite patches to new source code.
  * debian/copyright: -updated file paths
  * debian/docs: -Updated to point to README.md
  * debian/README.source: removed because there are no more prebuild files.
  * Added upstream metadata file

 -- Giovani Augusto Ferreira <giovani@debian.org>  Mon, 24 Dec 2018 18:39:55 -0200

hashrat (1.8.12+dfsg-2) unstable; urgency=medium

  [ Raphaël Hertzog ]
  * Update team maintainer address to Debian Security Tools
    <team+pkg-security@tracker.debian.org>
  * Update Vcs-Git and Vcs-Browser for the move to salsa.debian.org

  [ Giovani Augusto Ferreira ]
  * Bumped Standards-Version to 4.2.0
  * Bumped DH level to 11
  * debian/copyright: updated copyright years

 -- Giovani Augusto Ferreira <giovani@debian.org>  Sat, 25 Aug 2018 17:50:00 -0300

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: hashrat
 Section: utils
 Priority: optional
-Maintainer: Debian Forensics <forensics-devel@lists.alioth.debian.org>
+Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Giovani Augusto Ferreira <giovani@debian.org>
-Build-Depends: debhelper (>= 10)
-Standards-Version: 4.1.2
+Build-Depends: debhelper (>= 11)
+Standards-Version: 4.3.0
 Homepage: http://www.cjpaget.co.uk/Code/Hashrat
-Vcs-Git: https://anonscm.debian.org/git/forensics/hashrat.git
-Vcs-Browser: https://anonscm.debian.org/git/forensics/hashrat.git
+Vcs-Git: https://salsa.debian.org/pkg-security-team/hashrat.git
+Vcs-Browser: https://salsa.debian.org/pkg-security-team/hashrat
 
 Package: hashrat
 Architecture: any

## hashrat 1.10.4

=== Makefile ===
--- 
+++ 
@@ -1,22 +1,21 @@
 
 CC = gcc
-VERSION = 
 CFLAGS = -g -O2
-LIBS =  libUseful-3/libUseful.a
+LIBS = -lssl -lcrypto  libUseful-4/libUseful.a
 INSTALL=/bin/install -c
 prefix=/usr/local
 bindir=$(prefix)${exec_prefix}/bin
-FLAGS=$(LDFLAGS) $(CPPFLAGS) $(CFLAGS) -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DSTDC_HEADERS=1 -D_FILE_OFFSET_BITS=64
+FLAGS=$(LDFLAGS) $(CPPFLAGS) $(CFLAGS) -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DSTDC_HEADERS=1 -D_FILE_OFFSET_BITS=64 -DHAVE_LIBCRYPTO=1 -DHAVE_LIBSSL=1
 OBJ=common.o command-line-args.o ssh.o http.o fingerprint.o include-exclude.o files.o filesigning.o xattr.o cgi.o check-hash.o find.o memcached.o
 EXE=hashrat
 
 all: hashrat
 
-hashrat: $(OBJ) main.c libUseful-3/libUseful.a
+hashrat: $(OBJ) main.c libUseful-4/libUseful.a
 	$(CC) $(FLAGS) -o$(EXE) $(OBJ) main.c $(LIBS) 
 
-libUseful-3/libUseful.a:
-	@cd libUseful-3; $(MAKE)
+libUseful-4/libUseful.a:
+	@cd libUseful-4; $(MAKE)
 
 common.o: common.h common.c
 	$(CC) $(FLAGS) -c common.c
@@ -77,3 +76,6 @@
 	cp -f $(EXE) $(DESTDIR)$(prefix)/bin
 	-mkdir -p $(DESTDIR)$(prefix)/share/man/man1
 	cp -f hashrat.1 $(DESTDIR)$(prefix)/share/man/man1
+
+test:
+	echo "no tests"

=== libUseful-4/examples/Makefile ===
all:
	gcc -oTerminal.exe Terminal.c ../libUseful-3.a -lssl -lcrypto -lz
	gcc -oTermBar.exe TermBar.c ../libUseful-3.a -lssl -lcrypto -lz
	gcc -oVars.exe Vars.c ../libUseful-3.a -lssl -lcrypto -lz
	gcc -oParseRSS.exe ParseRSS.c ../libUseful-3.a -lssl -lcrypto -lz
	gcc -oFileCopy.exe FileCopy.c ../libUseful-3.a -lssl -lcrypto -lz
	gcc -oTokenize.exe Tokenize.c ../libUseful-3.a -lssl -lcrypto -lz
	gcc -oSpawnContainer.exe SpawnContainer.c ../libUseful-3.a -lssl -lcrypto -lz
	gcc -oMaps.exe Maps.c ../libUseful-3.a -lssl -lcrypto -lz
	gcc -oTTYTest.exe TTYTest.c ../libUseful-3.a -lssl -lcrypto -lz
	gcc -oSSLClient.exe SSLClient.c ../libUseful-3.a -lssl -lcrypto -lz
	gcc -oErrors.exe Errors.c ../libUseful-3.a -lssl -lcrypto -lz

=== debian/changelog ===
hashrat (1.10.4-1) unstable; urgency=medium

  [ Giovani Augusto Ferreira ]
  * New upstream version 1.10.4
    * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: Changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 12.
  * debian/control:
      - Added the field Rules-Requires-Root: binary-targets.
      - Standards-Version: bumped to 4.4.1 (no changes needed)
  * debian/copyright:
      - Added rights for Samuel Henrique.
      - Updated years and rights.
  * debian/patches/*: updated to new source code.
  * debian/tests/control: created to provide trivial tests.

  [ Samuel Henrique ]
  * Add salsa-ci.yml

 -- Giovani Augusto Ferreira <giovani@debian.org>  Thu, 26 Dec 2019 14:24:17 -0300

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Priority: optional
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Giovani Augusto Ferreira <giovani@debian.org>
-Build-Depends: debhelper (>= 11)
-Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (= 12)
+Standards-Version: 4.4.1
+Rules-Requires-Root: binary-targets
 Homepage: http://www.cjpaget.co.uk/Code/Hashrat
 Vcs-Git: https://salsa.debian.org/pkg-security-team/hashrat.git
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/hashrat

=== debian/tests/control ===
Test-Command: hashrat --help 2>&1 | grep Credits

## hashrat 1.13

=== libUseful-4/Makefile ===
CC = gcc
VERSION = 4.27
CFLAGS = -g -O2 
LDFLAGS=
LIBS = -lssl -lcrypto -lc -lc -lc -lc -lc -lc -lc -lc 
FLAGS=$(LDFLAGS) $(CPPFLAGS) $(CFLAGS) -fPIC -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DSTDC_HEADERS=1 -D_FILE_OFFSET_BITS=64 -DHAVE_LIBC=1 -DHAVE_PTSNAME_R=1 -DHAVE_LIBC=1 -DHAVE_CLEARENV=1 -DHAVE_LIBC=1 -DHAVE_SETRESUID=1 -DHAVE_LIBC=1 -DHAVE_GET_CURR_DIR=1 -DHAVE_LIBC=1 -DHAVE_UMOUNT2=1 -DHAVE_LIBC=1 -DHAVE_UMOUNT=1 -DHAVE_LIBC=1 -DHAVE_MKOSTEMP=1 -DHAVE_LIBC=1 -DHAVE_POLL=1 -DHAVE_LIBCRYPTO=1 -DHAVE_LIBSSL=1 -DHAVE_EVP_BF_CBC=1 -DHAVE_EVP_RC2_CBC=1 -DHAVE_EVP_RC4=1 -DHAVE_EVP_DES_CBC=1 -DHAVE_EVP_DESX_CBC=1 -DHAVE_EVP_CAST5_CBC=1 -DHAVE_EVP_IDEA_CBC=1 -DHAVE_EVP_AES_128_CBC=1 -DHAVE_EVP_AES_256_CBC=1 -DHAVE_X509_CHECK_HOST=1 -DHAVE_DECL_OPENSSL_ADD_ALL_ALGORITHMS=1 -DHAVE_OPENSSL_ADD_ALL_ALGORITHMS=1 -DHAVE_DECL_SSL_SET_TLSEXT_HOST_NAME=1 -DHAVE_SSL_SET_TLSEXT_HOST_NAME=1 -DHAVE_MADVISE -DHAVE_MADVISE_NOFORK -DHAVE_MADVISE_DONTDUMP -DHAVE_MLOCK -DVERSION=\"$(VERSION)\"
prefix=/usr/local
OBJ=String.o Array.o List.o Socket.o UnixSocket.o Stream.o Errors.o Unicode.o Terminal.o FileSystem.o GeneralFunctions.o DataProcessing.o Pty.o Log.o Http.o Smtp.o inet.o Expect.o base64.o  crc32.o md5c.o sha1.o sha2.o whirlpool.o jh_ref.o Hash.o Ssh.o Compression.o OAuth.o LibSettings.o Vars.o Time.o Markup.o SpawnPrograms.o Tokenizer.o PatternMatch.o URL.o DataParser.o ConnectionChain.o OpenSSL.o Process.o Encodings.o RawData.o SecureMem.o CommandLineParser.o SysInfo.o


all: $(OBJ)
	$(CC) $(FLAGS) -shared -o libUseful-$(VERSION).so $(OBJ) $(LIBS) $(LDFLAGS)
	ar rcs libUseful-$(VERSION).a $(OBJ)
	-ln -s libUseful-$(VERSION).so libUseful-4.so &>/dev/null
	-ln -s libUseful-$(VERSION).a libUseful-4.a &>/dev/null
	-ln -s libUseful-$(VERSION).so libUseful.so &>/dev/null
	-ln -s libUseful-$(VERSION).a libUseful.a &>/dev/null


String.o: String.h String.c
	$(CC) $(FLAGS) -c String.c

Array.o: Array.h Array.c
	$(CC) $(FLAGS) -c Array.c

List.o: List.h List.c
	$(CC) $(FLAGS) -c List.c

Socket.o: Socket.h Socket.c
	$(CC) $(FLAGS) -c Socket.c

Pty.o: Pty.h Pty.c
	$(CC) $(FLAGS) -c Pty.c

Http.o: Http.h Http.c
	$(CC) $(FLAGS) -c Http.c

Smtp.o: Smtp.h Smtp.c
	$(CC) $(FLAGS) -c Smtp.c

Stream.o: Stream.h Stream.c
	$(CC) $(FLAGS) -c Stream.c

Unicode.o: Unicode.c Unicode.h
	$(CC) $(FLAGS) -c Unicode.c

Terminal.o: Terminal.h Terminal.c
	$(CC) $(FLAGS) -c Terminal.c

Errors.o: Errors.h Errors.c
	$(CC) $(FLAGS) -c Errors.c


Log.o: Log.h Log.c
	$(CC) $(FLAGS) -c Log.c

UnixSocket.o: UnixSocket.h UnixSocket.c
	$(CC) $(FLAGS) -c UnixSocket.c

PatternMatch.o: PatternMatch.h PatternMatch.c
	$(CC) $(FLAGS) -c PatternMatch.c

FileSystem.o: FileSystem.h FileSystem.c
	$(CC) $(FLAGS) -c FileSystem.c

Time.o: Time.h Time.c
	$(CC) $(FLAGS) -c Time.c

Tokenizer.o: Tokenizer.h Tokenizer.c
	$(CC) $(FLAGS) -c Tokenizer.c

Markup.o: Markup.h Markup.c
	$(CC) $(FLAGS) -c Markup.c

URL.o: URL.h URL.c
	$(CC) $(FLAGS) -c URL.c

DataParser.o: DataParser.h DataParser.c
	$(CC) $(FLAGS) -c DataParser.c

inet.o: inet.h inet.c
	$(CC) $(FLAGS) -c inet.c

Expect.o: Expect.h Expect.c
	$(CC) $(FLAGS) -c Expect.c

SecureMem.o: SecureMem.h SecureMem.c
	$(CC) $(FLAGS) -c SecureMem.c

GeneralFunctions.o: GeneralFunctions.h GeneralFunctions.c
	$(CC) $(FLAGS) -c GeneralFunctions.c

DataProcessing.o: DataProcessing.h DataProcessing.c
	$(CC) $(FLAGS) -c DataProcessing.c

Hash.o: Hash.h Hash.c
	$(CC) $(FLAGS) -c Hash.c

Ssh.o: Ssh.h Ssh.c
	$(CC) $(FLAGS) -c Ssh.c

Compression.o: Compression.h Compression.c
	$(CC) $(FLAGS) -c Compression.c

ConnectionChain.o: ConnectionChain.h ConnectionChain.c
	$(CC) $(FLAGS) -c ConnectionChain.c

base64.o: base64.c base64.h
	$(CC) $(FLAGS) -c base64.c

crc32.o: crc32.c crc32.h
	$(CC) $(FLAGS) -c crc32.c

md5c.o: md5c.c md5-global.h md5.h
	$(CC) $(FLAGS) -c md5c.c

sha1.o: sha1.c sha1.h
	$(CC) $(FLAGS) -c sha1.c

sha2.o: sha2.c sha2.h
	$(CC) $(FLAGS) -DSHA2_UNROLL_TRANSFORM -c sha2.c

whirlpool.o: whirlpool.c whirlpool.h
	$(CC) $(FLAGS) -c whirlpool.c

jh_ref.o: jh_ref.c jh_ref.h
	$(CC) $(FLAGS) -c jh_ref.c

OAuth.o: OAuth.c OAuth.h
	$(CC) $(FLAGS) -c OAuth.c

OpenSSL.o: OpenSSL.c OpenSSL.h
	$(CC) $(FLAGS) -c OpenSSL.c

Process.o: Process.c Process.h
	$(CC) $(FLAGS) -c Process.c

Vars.o: Vars.c Vars.h
	$(CC) $(FLAGS) -c Vars.c

SpawnPrograms.o: SpawnPrograms.c SpawnPrograms.h
	$(CC) $(FLAGS) -c SpawnPrograms.c

Encodings.o: Encodings.c Encodings.h
	$(CC) $(FLAGS) -c Encodings.c

RawData.o: RawData.c RawData.h
	$(CC) $(FLAGS) -c RawData.c

CommandLineParser.o: CommandLineParser.c CommandLineParser.h
	$(CC) $(FLAGS) -c CommandLineParser.c

SysInfo.o: SysInfo.c SysInfo.h
	$(CC) $(FLAGS) -c SysInfo.c


#No dependancies, must always be compiled
LibSettings.o: LibSettings.h LibSettings.c
	$(CC) $(FLAGS) -c LibSettings.c

clean:
	-rm -f *.o *.so *.a
	-rm config.log config.status 
	-rm -r autom4te.cache config.cache

install: libUseful.so
	-mkdir -p $(DESTDIR)$(prefix)/lib 
	cp -P *.so *.a $(DESTDIR)$(prefix)/lib  
	-mkdir -p $(DESTDIR)$(prefix)/include/libUseful-$(VERSION)
	cp *.h $(DESTDIR)$(prefix)/include/libUseful-$(VERSION)
	-mkdir -p $(DESTDIR)$(prefix)/include/libUseful-4
	cp *.h $(DESTDIR)$(prefix)/include/libUseful-4

test: libUseful.so
	-echo "No tests written yet"

=== debian/changelog ===
hashrat (1.13-1) unstable; urgency=medium

  [ Giovani Augusto Ferreira ]
  * New upstream version 1.13
  * Bumped DH level to 13.
  * Bumped standards version to 4.5.0, no changes needed.
  * debian/copyright: split GPL license text and update packaging years.
  * debian/tests/control: add superficial restriction (closes: #970954)
  * debian/upstream/metadata: full updated.

  [ Samuel Henrique ]
  * Configure git-buildpackage for Debian

 -- Giovani Augusto Ferreira <giovani@debian.org>  Sun, 27 Sep 2020 16:38:03 -0300

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Giovani Augusto Ferreira <giovani@debian.org>
-Build-Depends: debhelper-compat (= 12)
-Standards-Version: 4.4.1
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.5.0
 Rules-Requires-Root: binary-targets
 Homepage: http://www.cjpaget.co.uk/Code/Hashrat
 Vcs-Git: https://salsa.debian.org/pkg-security-team/hashrat.git

=== debian/rules ===
--- 
+++ 
@@ -6,5 +6,8 @@
 %:
 	dh $@
 
+override_dh_auto_configure:
+	dh_auto_configure -- --enable-xattr
+
 # Disable the tests temporarily.
 override_dh_auto_test:
